import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  data: any[];

  items = [
    'item1',
    'item2',
    'item3',
    'item4',
    'item5',
    'item6',
    'item7',
    'item8',
    'item9',
    'item10'
  ];

  ngOnInit() {
    this.createTestData(10, 1);
  }

  private createTestData(rowCount, columnCount): void {
    this.data = Array.from({ length: rowCount }).map((_, i) => {
      const num = i + 1;
      const item = { id: num };
      Array.from({ length: columnCount }).forEach((__, j) => {
        let value;
        // string
        if (j % 4 === 0) {
          value = `item${num}`;
        }
        // number
        if (j % 4 === 1) {
          value = num;
        }
        // boolean
        if (j % 4 === 2) {
          value = num % 2 === 0;
        }
        // date
        if (j % 4 === 3) {
          value = new Date(new Date().setDate(num));
        }
        item[`column${j + 1}`] = value;
      });
      return item;
    });
  }
}
